experiments
Create experiments run
Requires scopes: runs:write
POST
/
api
/
experiments
/
{id}
/
run
Create experiments run
curl --request POST \
--url https://evalgate.com/api/experiments/{id}/run \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"idempotencyKey": "<string>",
"parentExecutionId": "<string>",
"estimatedCostUsd": 123,
"expectedSnapshotHash": "<string>"
}
'import requests
url = "https://evalgate.com/api/experiments/{id}/run"
payload = {
"idempotencyKey": "<string>",
"parentExecutionId": "<string>",
"estimatedCostUsd": 123,
"expectedSnapshotHash": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
idempotencyKey: '<string>',
parentExecutionId: '<string>',
estimatedCostUsd: 123,
expectedSnapshotHash: '<string>'
})
};
fetch('https://evalgate.com/api/experiments/{id}/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"idempotentReplay": true,
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"experimentId": "<string>",
"parentExecutionId": "<string>",
"attempt": 123,
"status": "<string>",
"idempotencyKey": "<string>",
"requestHash": "<string>",
"totalVariants": 123,
"completedVariants": 123,
"cancelRequestedAt": "2023-11-07T05:31:56Z",
"cancelledAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}{
"idempotentReplay": true,
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"experimentId": "<string>",
"parentExecutionId": "<string>",
"attempt": 123,
"status": "<string>",
"idempotencyKey": "<string>",
"requestHash": "<string>",
"totalVariants": 123,
"completedVariants": 123,
"cancelRequestedAt": "2023-11-07T05:31:56Z",
"cancelledAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Successful response
⌘I
Create experiments run
